# STELLA-2 test code i2c_bus_scan

# STELLA bus addresses
# listing available at https://learn.adafruit.com/i2c-addresses/the-list

# NIR sensor is connected by uart, so it does not appear on the i2c bus listing here.
# 0x18 -- AT Air Temperature - MCP9808 - 0x18 to 0x1F address, choose 1
# 0x1c -- MAG LIS3MDL Magetometer (0x1C & 0x1E)
# 0x39 -- Not used in STELLA -- APDS-9960 IR/Color/Proximity Sensor (0x39 only)
# 0x44 -- SHT31 Humidity/Temperature Sensor (0x44)
# 0x49 -- VIS 6 channel Spectrometer - AS7262 - 0x49 address
# 0x5a -- TIR Surface Temperature - Melexis MLX90614 3V - 0x5a address
# 0x68 -- clock: Real time clock - PCF8523 - 0x68
# 0x6a -- MOT LSM6DS33 Accel/Gyro
# 0x77 -- BARO BMP280 barometric pressure

import time

import board
import busio

i2c = busio.I2C(board.SCL, board.SDA)

while not i2c.try_lock():
    print( "i2c bus failure" )
    time.sleep(2)

while True:
    print("I2C addresses found:", [hex(device_address)
                                   for device_address in i2c.scan()])
    time.sleep(2)
